is snow leopard and logic studio express 9 compatible

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • Of course!